Loading...
Searching...
No Matches
casacore::TabVecMath_global_functions_vectorMath Struct Reference
tables package (libcasa_tables) » Tables_module

Vector operations on a table vector. More...

`#include <TabVecMath.h>`

## Public Member Functions

template<class T>
T | innerProduct (const TableVector< T > &left, const TableVector< T > &right)
| The inner product of 2 table vectors.
template<class T>
T | norm (const TableVector< T > &)
| The norm of a table vector.
template<class T>
TableVector< T > | crossProduct (const TableVector< T > &left, const TableVector< T > &right)
| The cross product of 2 table vectors containing 3 elements.

## Detailed Description

Vector operations on a table vector.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

Do vector operations on a table vector (like inner product).

Definition at line 289 of file TabVecMath.h.

## Member Function Documentation

## crossProduct()

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_vectorMath::crossProduct | ( | const TableVector< T > & | left,
|  | const TableVector< T > & | right )

inline

The cross product of 2 table vectors containing 3 elements.

## innerProduct()

template<class T>

T casacore::TabVecMath_global_functions_vectorMath::innerProduct | ( | const TableVector< T > & | left,
|  | const TableVector< T > & | right )

inline

The inner product of 2 table vectors.

The left and right operands must be conformant (i.e. have equal length).

## norm()

template<class T>

T casacore::TabVecMath_global_functions_vectorMath::norm | ( | const TableVector< T > & |  | ) |

inline

The norm of a table vector.

The documentation for this struct was generated from the following file:

- tables/Tables/TabVecMath.h